{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 3,
	"name": "lcp/lcp-gallery",
	"version": "0.1.0",
	"title": "LCP Gallery",
	"category": "widgets",
	"icon": "",
	"description": "A dynamic or static gallery based on the Lightgallery javascript plugin",
	"example": {},
	"supports": {
		"html": false
	},
	"attributes": {

	"parseElementForItems": {
		"type": "boolean",
		"default": false
	},
	"parsedTargetElement": {
		"type": "string",
		"default": ""
	},
	"parsedExcludedElements": {
		"type": "string",
		"default": ""
	},
		"lgSettings": {
			"type": "object",
			"default": {
				"zoom": false,
				"thumbnail": false,
				"toggleThumb":false,
				"thumbWidth": 120,
				"thumbHeight": "80px",
				"thumbMargin": 4,
				"hash": false,
				"galleryId": "1",
				"dynamic": false,
				"mode": "lg-fade",
				"cssEasing": "ease",
				"rotate": false,
				"fullScreen": false,
				"autoplay": false,
				"download": false,
				"loop": true,
				"closeOnTap": true,
				"enableDrag": true,
				"enableSwipe": true,
				"escKey": true,
				"getCaptionFromTitleOrAlt ": true,
				"hideBarsDelay": 0,
				"hideControlOnEnd": false,
				"hideScrollbar ": false,
				

				

				"controls": true,
				"counter": true,
				"container": "",
				"closable": true,
				"zoomFromOrigin": false,
				"showMaximizeIcon": false,
				"plugins": []
			}
		},
		"hashGalleryId": {
			"type": "string",
			"default": ""
		},
		"source": {
			"type": "string",
			"default": "manual"
		},
		"galleryItems": {
			"type": "array"
		},
		"sourceMetaField": {
			"type": "string",
			"default": ""
		},
		"sourceTable": {
				"type": "string",
				"default": ""
		},
		"sourceColumn": {
				"type": "string",
				"default": ""
		},
		"includePostThumbnail": {
			"type": "boolean",
			"default": false
		},
		"initialLayout": {
			"type": "string",
			"default": "grid"
		},
		  "initialLayoutLarge": {
			"type": "string",
			"default": "inline"
		  },
		  "initialLayoutSmall": {
			"type": "string",
			"default": "inline"
		  },
		  "justifiedRowHeightSmall": {
			"type": "string",
			"default": "150px"
		  },
		  "justifiedRowHeightMedium": {
			"type": "string",
			"default": "150px"
		  },
		  "justifiedRowHeightLarge": {
			"type": "string",
			"default": "150px"
		  },
		  "justifiedLastRow": {
			"type": "string",
			"default": "justify"
		  },
		"maxInitialItems": {
			"type": "number",
			"default": 0
		},
		"initialImageSize": {
			"type": "string",
			"default": "medium-large"
		  },
		  "inlineHeightSmall": {
			"type": "string",
			"default": "300px"
		  },
		  "inlineHeightMedium": {
			"type": "string",
			"default": "400px"
		  },
		  "inlineHeightLarge": {
			"type": "string",
			"default": "500px"
		  },
		  "containerWidthDesktop": {
			"type": "string",
			"default": "100%"
		  },
		  "containerWidthTablet": {
			"type": "string",
			"default": "100%"
		  },
		  "containerWidthMobile": {
			"type": "string",
			"default": "100%"
		  },
		  "itemsAspectRatio": {
			"type": "string",
			"default": "1-1"
		  },
		  "gridColumns": {
			"type": "number",
			"default": 4
		  },
		  "gridColumnsLarge": {
			"type": "number",
			"default": 4
		  },
		  "gridColumnsMedium": {
			"type": "number",
			"default": 3
		  },
		  "gridColumnsSmall": {
			"type": "number",
			"default": 2
		  },
		  "gridGapLarge": {
			"type": "number",
			"default": 10
		  },
		  "gridGapMedium": {
			"type": "number",
			"default": 10
		  },
		  "gridGapSmall": {
			"type": "number",
			"default": 10
		  },
		  "downloadLimitRoles": {
			"type": "array",
			"default": ""
		  },
		  "allowHideThumbnails": {
			"type": "boolean",
			"default": false
		  },
		  "thumbnailsStyle": {
			"type": "string",
			"default": ""
		  },
		  "thumbnailActiveStyle": {
			"type": "string",
			"default": ""
		  },
		  "thumbnailBorders": {
			"type": "object"
		  },
		  "thumbnailBordersSelected": {
			"type": "object"
		  },
		  "thumbsBackgroundColor": {
			"type": "string"
		  },
		  "backdropBackgroundColor": {
			"type": "string"
		  },
		  "showCaptions": {
			"type": "boolean"
		  },
		  "showItemTitle": {
			"type": "boolean"
		  },
		  "showItemDescription": {
			"type": "boolean"
		  },
		  "lgMode": {
			"type": "string",
			"default": "lg-slide"
		  },
		  "downloadSize": {
			"type": "string",
			"default": "full"
		  },
		  "allowShare": {
			"type": "boolean",
			"default": true
		  },
		  "lgVideo": {
			"type": "boolean",
			"default": "true"
		  },
		"dynamic": {
			"type": "boolean",
			"default": false
		},

		"loop": {
			"type": "boolean",
			"default": true
		},

			
		  "speed": {
			"type": "number",
			"default": 500
		  },
		  "slideDelay": {
			"type": "number",
			"default": 200
		  },
		  "hash": {
			"type": "boolean",
			"default": false
		  },
		  "allowZoom": {
			"type": "boolean",
			"default": false
		  },
		  "closable": {
			"type": "boolean",
			"default": true
		  },
		  "closeOnTap": {
			"type": "boolean",
			"default": true
		  },
		  "container": {
			"type": "string",
			"default": ""
		  },
		  "showControls": {
			"type": "boolean",
			"default": true
		  },
		  "showCounter": {
			"type": "boolean",
			"default": true
		  },
		  "showMaximizeIcon": {
			"type": "boolean",
			"default": true
		  },
		  "easing": {
			"type": "string",
			"default": "ease"
		  },
		  "download": {
			"type": "boolean",
			"default": false
		  },
		  "appendThumbnailsTo": {
			"type": "string",
			"default": ".lg-components"
		  },
		  "appendSubHtmlTo": {
			"type": "string",
			"default": ".lg-item"
		  },
		  "thumbWidth": {
			"type":  "string",
			"default": "80px"
		  },
		  "thumbHeight": {
			"type":  "string",
			"default": "80px"
		  },
		  "thumbnailsBorders": {
			"type": "object",
			"default": {
			  "top": { "color": "#000000", "style": "solid", "width": "10px" },
			  "right": { "color": "#000000", "style": "solid", "width": "10px" },
			  "bottom": { "color": "#000000", "style": "solid", "width": "10px" },
			  "left": { "color": "#000000", "style": "solid", "width": "10px" }
			}
		},
		"thumbnailsBordersSelected": {
			"type": "object",
			"default": {
			  "top": { "color": "#000000", "style": "solid", "width": "1px" },
			  "right": { "color": "#000000", "style": "solid", "width": "1px" },
			  "bottom": { "color": "#000000", "style": "solid", "width": "1px" },
			  "left": { "color": "#000000", "style": "solid", "width": "1px" }
			}
		},
		  "thumbMargin": {
			"type":  "number",
			"default": 5
		  },
		  "toggleThumb": {
			"type":  "boolean",
			"default": false
		  },
		  "numberOfSlideItemsInDom": {
			"type":  "number",
			"default": 10
		  },
		  "galleryCustomStyles": {
			"type":  "string",
			"default": ""
		  }

	},
	"textdomain": "lcp",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css",
	"viewScript": ["file:./view.js"],
	"viewStyle": [ "file:./lightgallery-bundle.min.css" ]

}
